Index: fluid/FluidType.h
===================================================================
--- fluid/FluidType.h	(revision 4647)
+++ fluid/FluidType.h	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FluidType.h,v 1.4 2002/12/15 10:42:50 spitzak Exp $"
+// "$Id$"
 //
 // Widget type header file for the Fast Light Tool Kit (FLTK).
 //
@@ -346,6 +346,8 @@
 
 FLUID_API extern bool include_H_from_C;
 
+FLUID_API extern bool use_libintl_in_code;
+
 //
-// End of "$Id: FluidType.h,v 1.4 2002/12/15 10:42:50 spitzak Exp $".
+// End of "$Id$".
 //
Index: fluid/alignment_panel.fl
===================================================================
--- fluid/alignment_panel.fl	(revision 4647)
+++ fluid/alignment_panel.fl	(working copy)
@@ -1,5 +1,5 @@
 # data file for the FLTK User Interface Designer (FLUID)
-version 2.0002 
+version 2.0100 
 images_dir ./ 
 header_name {.h} 
 code_name {.cxx} 
@@ -10,7 +10,7 @@
 } {
   {fltk::Window} alignment_window {
     label {fluid Preferences} open
-    xywh {271 271 210 310} resizable non_modal visible
+    xywh {271 271 210 370} resizable non_modal visible
   } {
     {fltk::Group} {} {
       label {Alignment:} open
@@ -43,7 +43,7 @@
       xywh {10 140 190 130} align 5 box ENGRAVED_BOX
     } {
       {fltk::Widget} {} {
-        label {Use "name.ext" to set name or just ".ext" to set only extension.} selected
+        label {Use "name.ext" to set name or just ".ext" to set only extension.}
         xywh {10 10 170 30} align 148 box NO_BOX labelsize 11
       }
       {fltk::Input} header_file_input {
@@ -67,7 +67,16 @@
     {fltk::Button} {} {
       label Close
       callback {alignment_window->hide();}
-      xywh {140 280 60 22}
+      xywh {140 340 60 22}
     }
+    {fltk::Group} {} {
+      label {Internationalization:} open
+      xywh {10 290 190 40} align 5 box ENGRAVED_BOX
+    } {}
+    {fltk::CheckButton} use_libintl_in_code_button {
+      label {use libintl in code}
+      callback use_libintl_in_code_button_cb selected
+      xywh {20 298 170 22} value 1
+    }
   }
 } 
Index: fluid/alignment_panel.cxx
===================================================================
--- fluid/alignment_panel.cxx	(revision 4647)
+++ fluid/alignment_panel.cxx	(working copy)
@@ -1,4 +1,4 @@
-// generated by Fast Light User Interface Designer (fluid) version 2.0002
+// generated by Fast Light User Interface Designer (fluid) version 2.0100
 
 #include "alignment_panel.h"
 
@@ -20,10 +20,13 @@
   alignment_window->hide();
 }
 
+fltk::CheckButton* use_libintl_in_code_button;
+
 fltk::Window* make_alignment_window() {
   fltk::Window* w;
-   {fltk::Window* o = alignment_window = new fltk::Window(210, 310, "fluid Preferences");
+   {fltk::Window* o = alignment_window = new fltk::Window(210, 370, "fluid Preferences");
     w = o;
+    o->set_vertical();
     o->begin();
      {fltk::Group* o = new fltk::Group(10, 20, 190, 100, "Alignment:");
       o->box(fltk::ENGRAVED_BOX);
@@ -61,16 +64,25 @@
         o->when(fltk::WHEN_CHANGED);
       }
        {fltk::CheckButton* o = include_H_from_C_button = new fltk::CheckButton(10, 98, 170, 22, "#include \"header\" in code");
-        o->value(1);
+        o->set_value();
         o->callback((fltk::Callback*)include_H_from_C_button_cb);
       }
       o->end();
     }
-     {fltk::Button* o = new fltk::Button(140, 280, 60, 22, "Close");
+     {fltk::Button* o = new fltk::Button(140, 340, 60, 22, "Close");
       o->callback((fltk::Callback*)cb_Close);
     }
+     {fltk::Group* o = new fltk::Group(10, 290, 190, 40, "Internationalization:");
+      o->box(fltk::ENGRAVED_BOX);
+      o->align(fltk::ALIGN_TOP|fltk::ALIGN_LEFT);
+    }
+     {fltk::CheckButton* o = use_libintl_in_code_button = new fltk::CheckButton(20, 298, 170, 22, "use libintl in code");
+      o->set_value();
+      o->callback((fltk::Callback*)use_libintl_in_code_button_cb);
+    }
     o->end();
     o->set_non_modal();
+    o->resizable(o);
   }
   return  w;
 }
Index: fluid/Fl_Widget_Type.cxx
===================================================================
--- fluid/Fl_Widget_Type.cxx	(revision 4647)
+++ fluid/Fl_Widget_Type.cxx	(working copy)
@@ -1647,7 +1647,12 @@
   }
   if (label() && *label()) {
     if (!is_menu_item()) write_c(", ");
-    write_cstring(label());
+	if (use_libintl_in_code) {
+		write_c("_(");
+		write_cstring(label());
+		write_c(")");
+	} else
+		write_cstring(label());
   }
   write_c(");\n");
   indentation += 2;
Index: fluid/file.cxx
===================================================================
--- fluid/file.cxx	(revision 4647)
+++ fluid/file.cxx	(working copy)
@@ -326,6 +326,8 @@
   if(strlen(images_dir)) write_string("\nimages_dir %s", images_dir);
   if(!include_H_from_C)
     write_string("\ndo_not_include_H_from_C");
+  if(use_libintl_in_code)
+    write_string("\nuse_libintl_in_code");
   if (!selected_only) {
     write_string("\nheader_name"); write_word(header_file_name);
     write_string("\ncode_name"); write_word(code_file_name);
@@ -399,6 +401,11 @@
       include_H_from_C=0;
       goto CONTINUE;
     }
+    if (!strcmp(c,"use_libintl_in_code"))
+    {
+      use_libintl_in_code=1;
+      goto CONTINUE;
+    }
     if (!strcmp(c,"images_dir"))
     {
       images_dir = strdup(read_word()); // This will never get deleted ...
Index: fluid/alignment_panel.h
===================================================================
--- fluid/alignment_panel.h	(revision 4647)
+++ fluid/alignment_panel.h	(working copy)
@@ -1,4 +1,4 @@
-// generated by Fast Light User Interface Designer (fluid) version 2.0002
+// generated by Fast Light User Interface Designer (fluid) version 2.0100
 
 #ifndef alignment_panel_h
 #define alignment_panel_h
@@ -19,5 +19,7 @@
 extern void include_H_from_C_button_cb(fltk::CheckButton*, void*);
 extern fltk::CheckButton* include_H_from_C_button;
 #include <fltk/Button.h>
+extern void use_libintl_in_code_button_cb(fltk::CheckButton*, void*);
+extern fltk::CheckButton* use_libintl_in_code_button;
 fltk::Window* make_alignment_window();
 #endif
Index: fluid/Fl_Window_Type.cxx
===================================================================
--- fluid/Fl_Window_Type.cxx	(revision 4647)
+++ fluid/Fl_Window_Type.cxx	(working copy)
@@ -45,6 +45,7 @@
 int snap = 3;
 
 bool include_H_from_C = true;
+bool use_libintl_in_code = false;
 
 void alignment_cb(fltk::Input *i, long v) {
   int n = (int)strtol(i->value(),0,0);
@@ -62,6 +63,7 @@
 void show_alignment_cb(fltk::Widget *, void *) {
   if (!alignment_window) make_alignment_window();
   include_H_from_C_button->value(include_H_from_C);
+  use_libintl_in_code_button->value(use_libintl_in_code);
   header_file_input->value(header_file_name);
   code_file_input->value(code_file_name);
   char buf[128];
@@ -82,6 +84,10 @@
   include_H_from_C = b->value();
 }
 
+void use_libintl_in_code_button_cb(fltk::CheckButton* b, void*) {
+  use_libintl_in_code = b->value();
+}
+
 ////////////////////////////////////////////////////////////////
 
 const char* WindowType::type_name() const {return "fltk::Window";}
Index: fluid/code.cxx
===================================================================
--- fluid/code.cxx	(revision 4647)
+++ fluid/code.cxx	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: code.cxx,v 1.22 2004/07/04 17:38:08 laza2000 Exp $"
+// "$Id$"
 //
 // Code output routines for the Fast Light Tool Kit (FLTK).
 //
@@ -295,6 +295,10 @@
   fprintf(header_file, "#define %s\n", define_name);
   }  
 
+  if (t && use_libintl_in_code) {
+    fprintf(header_file, "#include <libintl.h>\n");
+    fprintf(header_file, "#define _(x) gettext(x)\n");
+  }
   if (t && include_H_from_C)
     write_c("#include \"%s\"\n", filename_name(t));
   for (FluidType* p = FluidType::first; p; p = p->next_brother) {
@@ -327,5 +331,5 @@
 }
 
 //
-// End of "$Id: code.cxx,v 1.22 2004/07/04 17:38:08 laza2000 Exp $".
+// End of "$Id$".
 //
